| TagLib 1.13 |  |

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
TagLib::RIFF::WAV::File Class Reference

An implementation of TagLib::File with WAV specific methods. More...

`#include <wavfile.h>`

Inheritance diagram for TagLib::RIFF::WAV::File:
[legend]
Collaboration diagram for TagLib::RIFF::WAV::File:
[legend]

## Public Types
enum | TagTypes { NoTags = 0x0000 , ID3v2 = 0x0001 , Info = 0x0002 , AllTags = 0xffff }
Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }

## Public Member Functions
| File (FileName file, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
| File (IOStream *stream, bool readProperties=true, Properties::ReadStyle propertiesStyle=Properties::Average)
virtual | ~File ()
ID3v2::Tag * | tag () const
ID3v2::Tag * | ID3v2Tag () const
Info::Tag * | InfoTag () const
void | strip (TagTypes tags=AllTags)
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &)
virtual Properties * | audioProperties () const
virtual bool | save ()
TAGLIB_DEPRECATED bool | save (TagTypes tags, bool stripOthers, int id3v2Version=4)
bool | save (TagTypes tags, StripTags strip=StripOthers, ID3v2::Version version=ID3v2::v4)
bool | hasID3v2Tag () const
bool | hasInfoTag () const
virtual | ~File ()
Public Member Functions inherited from TagLib::File
virtual | ~File ()
FileName | name () const
virtual Tag * | tag () const =0
PropertyMap | properties () const
void | removeUnsupportedProperties (const StringList &properties)
PropertyMap | setProperties (const PropertyMap &properties)
virtual AudioProperties * | audioProperties () const =0
virtual bool | save ()=0
ByteVector | readBlock (unsigned long length)
void | writeBlock (const ByteVector &data)
long | find (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
long | rfind (const ByteVector &pattern, long fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, unsigned long start=0, unsigned long replace=0)
void | removeBlock (unsigned long start=0, unsigned long length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (long offset, Position p=Beginning)
void | clear ()
long | tell () const
long | length ()

## Static Public Member Functions
static bool | isSupported (IOStream *stream)
Static Public Member Functions inherited from TagLib::File
static TAGLIB_DEPRECATED bool | isReadable (const char *file)
static TAGLIB_DEPRECATED bool | isWritable (const char *name)

## Friends
class | Properties

## Additional Inherited Members
Protected Types inherited from TagLib::RIFF::File
enum | Endianness { BigEndian , LittleEndian }
Protected Member Functions inherited from TagLib::RIFF::File
| File (FileName file, Endianness endianness)
| File (IOStream *stream, Endianness endianness)
unsigned int | riffSize () const
unsigned int | chunkCount () const
unsigned int | chunkOffset (unsigned int i) const
unsigned int | chunkDataSize (unsigned int i) const
unsigned int | chunkPadding (unsigned int i) const
ByteVector | chunkName (unsigned int i) const
ByteVector | chunkData (unsigned int i)
void | setChunkData (unsigned int i, const ByteVector &data)
void | setChunkData (const ByteVector &name, const ByteVector &data)
void | setChunkData (const ByteVector &name, const ByteVector &data, bool alwaysCreate)
void | removeChunk (unsigned int i)
void | removeChunk (const ByteVector &name)
Protected Member Functions inherited from TagLib::File
| File (FileName file)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (long length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with WAV specific methods.

This implements and provides an interface for WAV files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to WAV files.

## Member Enumeration Documentation

## ◆ TagTypes

enum TagLib::RIFF::WAV::File::TagTypes

Enumerator
NoTags | Empty set. Matches no tag types.
ID3v2 | Matches ID3v2 tags.
Info | Matches INFO tags.
AllTags | Matches all tag types.

## Constructor & Destructor Documentation

## ◆ File() [1/2]

TagLib::RIFF::WAV::File::File | ( | FileName | file,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs a WAV file from file. If readProperties is true the file's audio properties will also be read.

Note
  In the current implementation, propertiesStyle is ignored.

## ◆ File() [2/2]

TagLib::RIFF::WAV::File::File | ( | IOStream * | stream,
|  | bool | readProperties = `true`,
|  | Properties::ReadStyle | propertiesStyle = `Properties::Average`
| ) |  |

Constructs a WAV file from stream. If readProperties is true the file's audio properties will also be read.

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.
  In the current implementation, propertiesStyle is ignored.

## ◆ ~File()

virtual TagLib::RIFF::WAV::File::~File | ( |  | ) |
| virtual

Destroys this instance of the File.

Reimplemented from TagLib::RIFF::File.

## Member Function Documentation

## ◆ audioProperties()

virtual Properties * TagLib::RIFF::WAV::File::audioProperties | ( |  | ) | const
| virtual

Returns the WAV::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## ◆ hasID3v2Tag()

bool TagLib::RIFF::WAV::File::hasID3v2Tag | ( |  | ) | const

Returns whether or not the file on disk actually has an ID3v2 tag.

See also
  ID3v2Tag()

## ◆ hasInfoTag()

bool TagLib::RIFF::WAV::File::hasInfoTag | ( |  | ) | const

Returns whether or not the file on disk actually has a RIFF INFO tag.

See also
  InfoTag()

## ◆ ID3v2Tag()

ID3v2::Tag * TagLib::RIFF::WAV::File::ID3v2Tag | ( |  | ) | const

Returns the ID3v2 Tag for this file.

Note
  This always returns a valid pointer regardless of whether or not the file on disk has an ID3v2 tag. Use hasID3v2Tag() to check if the file on disk actually has an ID3v2 tag.

See also
  hasID3v2Tag()

## ◆ InfoTag()

Info::Tag * TagLib::RIFF::WAV::File::InfoTag | ( |  | ) | const

Returns the RIFF INFO Tag for this file.

Note
  This always returns a valid pointer regardless of whether or not the file on disk has a RIFF INFO tag. Use hasInfoTag() to check if the file on disk actually has a RIFF INFO tag.

See also
  hasInfoTag()

## ◆ isSupported()

static bool TagLib::RIFF::WAV::File::isSupported | ( | IOStream * | stream | ) |
| static

Returns whether or not the given stream can be opened as a WAV file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

## ◆ properties()

PropertyMap TagLib::RIFF::WAV::File::properties | ( |  | ) | const

Implements the unified property interface – export function. This method forwards to ID3v2::Tag::properties().

## ◆ removeUnsupportedProperties()

void TagLib::RIFF::WAV::File::removeUnsupportedProperties | ( | const StringList & | properties | ) |

## ◆ save() [1/3]

virtual bool TagLib::RIFF::WAV::File::save | ( |  | ) |
| virtual

Saves the file.

Implements TagLib::File.

## ◆ save() [2/3]

TAGLIB_DEPRECATED bool TagLib::RIFF::WAV::File::save | ( | TagTypes | tags,
|  | bool | stripOthers,
|  | int | id3v2Version = `4`
| ) |  |

Deprecated:
  Use save(TagTypes, StripTags, ID3v2::Version).

## ◆ save() [3/3]

bool TagLib::RIFF::WAV::File::save | ( | TagTypes | tags,
|  | StripTags | strip = `StripOthers`,
|  | ID3v2::Version | version = `ID3v2::v4`
| ) |  |

Save the file. If strip is specified, it is possible to choose if tags not specified in tags should be stripped from the file or retained. With version, it is possible to specify whether ID3v2.4 or ID3v2.3 should be used.

## ◆ setProperties()

PropertyMap TagLib::RIFF::WAV::File::setProperties | ( | const PropertyMap & |  | ) |

Implements the unified property interface – import function. This method forwards to ID3v2::Tag::setProperties().

## ◆ strip()

void TagLib::RIFF::WAV::File::strip | ( | TagTypes | tags = `AllTags` | ) |

This will strip the tags that match the OR-ed together TagTypes from the file. By default it strips all tags. It returns true if the tags are successfully stripped.

Note
  This will update the file immediately.

## ◆ tag()

ID3v2::Tag * TagLib::RIFF::WAV::File::tag | ( |  | ) | const
| virtual

Returns the ID3v2 Tag for this file.

Note
  This method does not return all the tags for this file for backward compatibility. Will be fixed in TagLib 2.0.

Implements TagLib::File.

## Friends And Related Function Documentation

## ◆ Properties

friend class Properties
| friend

The documentation for this class was generated from the following file:

- wavfile.h